package eu.mhsl.craftattack.spawn.appliances.infoBars.bars;

import eu.mhsl.craftattack.spawn.Main;
import eu.mhsl.craftattack.spawn.appliances.infoBars.Bar;
import eu.mhsl.craftattack.spawn.appliances.playerlimit.PlayerLimit;
import net.kyori.adventure.bossbar.BossBar;
import net.kyori.adventure.text.Component;
import org.bukkit.Bukkit;

import java.time.Duration;

public class PlayerCounterBar extends Bar {
    @Override
    protected Duration refresh() {
        return Duration.ofSeconds(3);
    }

    @Override
    protected String name() {
        return "playerCounter";
    }

    @Override
    protected Component title() {
        return Component.text("Spieler online");
    }

    @Override
    protected float progress() {
        int maxPlayers = Main.instance().getAppliance(PlayerLimit.class).getLimit();
        int currentPlayers = Bukkit.getOnlinePlayers().size();
        return (float) currentPlayers / maxPlayers;
    }

    @Override
    protected BossBar.Color color() {
        return BossBar.Color.BLUE;
    }

    @Override
    protected BossBar.Overlay overlay() {
        return BossBar.Overlay.NOTCHED_10;
    }
}
